Bug 1031012 - (nova-bp-cancel-swap-volume) [RFE] [Nova] Cancelling a swap volume
[RFE] [Nova] Cancelling a swap volume
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: RHOS Maint
https://blueprints.launchpad.net/nova...
upstream_milestone_none upstream_stat...
: FutureFeature
Depends On:
Blocks: 1031047
  Show dependency treegraph
 
Reported: 2013-11-15 08:27 EST by Stephen Gordon
Modified: 2016-04-26 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 18:27:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-11-15 08:27:00 EST
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/cancel-swap-volume

Description:

Swap volume feature has been implemented.
 * https://blueprints.launchpad.net/nova/+spec/volume-swap
 * https://review.openstack.org/#/c/28995/

While the volume is swapped, no reads or writes should be lost.
But it would be taking a long time to swap, it would also be nice to have a cancelling for swap volume.

This feature would expose an API to cancel a swap volume.

Note You need to log in before you can comment on or make changes to this bug.